> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# initiateUserKyc

> 
The `initiateUserKyc` API is used to start the KYC verification process to validate the employee's identity information.

### What it does:

- Initiates identity verification using previously submitted KYC information

### Note:

Kyc may only be initiated after using `addKycInformation` to submit the required information for verification.



## OpenAPI

````yaml post /userOnboarding/initiateUserKyc
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/initiateUserKyc:
    post:
      tags: []
      summary: initiateUserKyc
      description: >-

        The `initiateUserKyc` API is used to start the KYC verification process
        to validate the employee's identity information.


        ### What it does:


        - Initiates identity verification using previously submitted KYC
        information


        ### Note:


        Kyc may only be initiated after using `addKycInformation` to submit the
        required information for verification.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: initiateUserKyc
                  example: initiateUserKyc
                userId:
                  type: string
                  format: uuid
              required:
                - method
                - userId
            example:
              method: initiateUserKyc
              userId: e066e305-3816-4b06-8576-50d2502be436
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  initiateKyc:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                required:
                  - initiateKyc
              example:
                initiateKyc:
                  userId: e066e305-3816-4b06-8576-50d2502be436
                  status: KYC Verification Initiated
                  message: >-
                    The KYC Information for jacob king has been added
                    successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: 'Invalid User ID: No user found with the provided ID'
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````